Bug 53944 - su sometimes segfaults when exiting
su sometimes segfaults when exiting
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-09-23 17:35 EDT by Pekka Pietikäinen
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-04 11:32:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2001-09-23 17:35:39 EDT
Description of Problem:

Sometimes when I exit su under 7.2, before the normal
user shell prompt there's a "Segmentation fault". I haven't
managed to figure out what is responsible for printing it out yet,
could be something like bash too. Just suing and exiting doesn't 
seem to be enough, there must be something else that triggers it
(I tried leaving processes running in the background as root and didn't
seem to do it either).

I usually notice it when going through all my gnome-terminals
and noticing "why the hell am I still as root in this window",
exit and then it happens.

Version-Release number of selected component (if applicable):

2.0.11-5, bash 2.0.5-8
How Reproducible:

Steps to Reproduce:
1. su
2. (do something I've not figured out yet, usually it's run for quite some
3. exit (I've used control-d for that)

Actual Results:

Segmentation fault text printed before user prompt returns

Expected Results:

No Segmentation fault text printed.

Additional Information:
Comment 1 Pekka Pietikäinen 2001-12-18 19:09:41 EST
Come to think of it, I've not seen it happen again after installing 
the current errata (including glibc + pam) last weekend. I'll leave the bug open
in case I still happen to see it again, but if I don't add anything for a 
week or so, consider the bug fixed (I'll close it myself if I remember :) )
Comment 2 Pekka Pietikäinen 2003-02-04 11:32:23 EST
Just clearing out all my old bugzilla bugs, it has definately been fixed ages ago.

Note You need to log in before you can comment on or make changes to this bug.